/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::USB:Host
 * Copyright (c) 2004-2013 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    USBH_Config_0.c
 * Purpose: USB Host Configuration
 * Rev.:    V5.04
 *----------------------------------------------------------------------------*/

//-------- <<< Use Configuration Wizard in Context Menu >>> --------------------

// <h>USB Host 0
//   <o>Connect to hardware via Driver_USBH# <0-255>
//   <i>Select driver control block for hardware interface
#define USBH0_HC_NUM                    0

//   <o>Controller Interface 
//   <i> Selects the USB Host controller interface
//     <0=> Custom <1=> OHCI
#define USBH0_HC_IF                     0

//   <o>Memory Pool Size <0-1048576:4>
//   <i>Specify size of memory pool (in bytes) that the USB Host Controller 
//   <i>will use for USB communication data.
#define USBH0_HC_MEM_POOL_SIZE          564

//   <e>Relocate Memory Pool
//   <i>Locate the Memory Pool at a specific address.
#define USBH0_HC_MEM_POOL_RELOC         0

//     <o>Memory Pool Address <0-0xFFFFFE00:0x200>
//     <i>Start address of the Memory Pool.
#define USBH0_HC_MEM_POOL_ADDR          0x00000000

//   </e3>
// </h>


#include "..\RTE_Components.h"

#ifdef  RTE_USB_Host_MSC
#include "USBH_Config_MSC.h"
#endif

#ifdef  RTE_USB_Host_HID
#include "USBH_Config_HID.h"
#endif

#ifdef  RTE_USB_Host_Class
#include "USBH_Config_Class.h"
#endif

#include "usbh_config.h"
